@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=DM+Sans:opsz,wght@9..40,100;9..40,300&family=Lemon&display=swap');

:root {
    --cor-background: #0D0D0D;
    --cor-primaria: #E3E2E3;
    --cor-secundaria: #F0983D;
    --cor-terciaria: #333;
    --cor-hover: #2c3e50;

    --fonte-primaria: 'DM Sans', sans-serif;
    --fonte-secundaria: 'Bebas Neue', sans-serif;
}

* {
    padding: 0;
    margin: 0;
}
body {
    background: var(--cor-background);
    height: 100%;
    scroll-behavior: smooth;
}

.navbar {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 6%;
    height: 100px;
    background-color: var(--cor-terciaria);
}

.navbar a {
    font-family: var(--fonte-secundaria);
    font-size: 28px;
    text-decoration: none;
    color: var(--cor-primaria);
}
.navbar a:hover {
    color: var(--cor-secundaria);
}

.container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    margin: 4% 0 0 0%;
}

.container__texto {
    display: flex;
    flex-direction: column;
    height: 500px;
    width: 40%;
    margin: 0 0 0 10%;
    box-sizing: border-box;
    font-size: 18px;
}

.container__texto h1 {
    color: var(--cor-secundaria);
    font-family: var(--fonte-secundaria);
    font-size: 36px;
    margin: 0% 0 4% 0;
}

.container__texto p {
    font-family: var(--fonte-primaria);
    font-weight: 300;
    text-align: justify;
    margin: 0% 0 5% 0;
    color: var(--cor-primaria);
}

.container__texto a {
    width: 12rem;
    font-family: var(--fonte-primaria);
    font-weight: bold;
    border-radius: 10px;
    padding: 3% 6%;
    text-decoration: none;
    color: var(--cor-secundaria);
    background-color: var(--cor-terciaria);
    border: 2px solid #444;
}

.container__texto a:hover {
    background-color: var(--cor-hover);
}
.container__imagem {
    display: flex;
    justify-content: center;
    height: 500px;
    width: 35%;
    margin: 0 10% 4% 0;
}

.container__service {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    margin: 0 10% 0 10%;
}

.container__servico h1 {
    color: var(--cor-secundaria);
    font-family: var(--fonte-secundaria);
    font-size: 36px;
    margin: 2% 0 0 45%;
}

.container__box {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 3%;
    margin-bottom: 4%;
}

.container__boxs {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2%;
    width: 24%;
    height: 250px;
    background-color: var(--cor-terciaria);
    color: var(--cor-primaria);
    border-radius: 15px;
    border: 2px solid #444;
}


.container__boxs h1 {
    color: var(--cor-secundaria);
    font-family: var(--fonte-secundaria);
    font-size: 28px;
    margin-bottom: 1%;
}

.container__boxs p {
    font-family: var(--fonte-primaria);
    font-weight: 300;
    text-align: justify;
    margin: 0 3% 0 3%;
}

.container__boxs:hover {
    background-color: var(--cor-hover);
}

footer {

    display: flex;
    justify-content: center;
    align-items: center;
    font-family: var(--fonte-primaria);
    font-weight: 300;
    width: 100%;
    height: 100px;
    background-color: var(--cor-terciaria);
    color: var(--cor-primaria);
}

@media screen and (min-width: 320px) and (max-width: 480px ) {

}

@media screen and (min-width: 481px) and (max-width: 768px) {
    .navbar {
        height: 150px;
        display: flex;
        flex-direction: column;
    }

    .container {
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
        justify-items: center;
        margin-bottom: 30%;
    }
    .container__service{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        margin-bottom: 30%;
    }

    .container__box {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .container__boxs {
        margin-top: 5%;
        margin-bottom: 3%;
    }

}

@media screen and (min-width: 769px) and (max-width: 1024px) {
    .container {
        flex-direction: column-reverse;
        gap: 10rem;
    }
    .container__box {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap:10rem;
    }

}
@media screen and (min-width: 1025px) and (max-width: 1200px) {

}
@media screen and (max-width: 1201px) {

}